Bug 1364490 - rhel-osp-director: CephAdminKey is required for upgrade.
Summary: rhel-osp-director: CephAdminKey is required for upgrade.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Giulio Fidente
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 13:36 UTC by Alexander Chuzhoy
Modified: 2016-08-24 13:02 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-2.0.0-30.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 13:02:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1610258 None None None 2016-08-05 14:05:28 UTC
OpenStack gerrit 351763 None None None 2016-08-05 14:11:45 UTC
Red Hat Product Errata RHEA-2016:1762 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Advisory 2016-08-24 16:59:57 UTC

Description Alexander Chuzhoy 2016-08-05 13:36:42 UTC
rhel-osp-director:    CephAdminKey is required for upgrade.


Environment:
openstack-tripleo-heat-templates-liberty-2.0.0-29.el7ost.noarch
openstack-puppet-modules-8.1.7-2.el7ost.noarch
openstack-tripleo-heat-templates-kilo-0.8.14-16.el7ost.noarch
openstack-tripleo-heat-templates-2.0.0-29.el7ost.noarch
instack-undercloud-4.0.0-11.el7ost.noarch


Steps to reproduce:
1. Deploy overcloud 8.0 with external ceph.
2. Attempt to upgrade to 9.0

Result:
 ERROR: The Parameter (CephAdminKey) was not provided.

Expected result:
Successful upgrade.

Comment 8 Alexander Chuzhoy 2016-08-15 18:49:26 UTC
Verified:

Environment:
openstack-tripleo-heat-templates-2.0.0-31.el7ost.noarch

The reported issue doesn't reproduce.

Comment 10 errata-xmlrpc 2016-08-24 13:02:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1762.html


Note You need to log in before you can comment on or make changes to this bug.